import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { PickedObject, ViewerSettings } from './bim-viewer.interfaces';
import { BimViewerService } from './bim-viewer.service';
import { MenuComponent } from './menu/menu.component';
import { ItemClickEvent } from './menu/menu.interface';
import { MenuService } from './menu/menu.service';
import * as i0 from "@angular/core";
export declare class BimViewerComponent implements OnInit {
    private bimViewerService;
    private menuService;
    setClipperMode: boolean;
    settings: ViewerSettings;
    hoveredElement: EventEmitter<PickedObject>;
    clickedElement: EventEmitter<PickedObject>;
    clickedCanvas: EventEmitter<Event>;
    rightClickedElement: EventEmitter<PickedObject>;
    rightClickedCanvas: EventEmitter<Event>;
    selectionChanged: EventEmitter<PickedObject[]>;
    set content(content: ElementRef);
    menuComponent: MenuComponent;
    canvas?: HTMLElement;
    orbiting: boolean;
    panning: boolean;
    private currentlyHoveredElement;
    private menuSettings?;
    constructor(bimViewerService: BimViewerService, menuService: MenuService);
    ngOnInit(): void;
    onLongPress(ev: Event): void;
    onLongPressRight(ev: Event): void;
    onShortPress(ev: Event): void;
    onShortPressRight(ev: Event): void;
    handleMenuItemClick(ev: ItemClickEvent): void;
    onMouseUp(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimViewerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimViewerComponent, "lbd-fragment-viewer", never, { "setClipperMode": "setClipperMode"; "settings": "settings"; }, { "hoveredElement": "hoveredElement"; "clickedElement": "clickedElement"; "clickedCanvas": "clickedCanvas"; "rightClickedElement": "rightClickedElement"; "rightClickedCanvas": "rightClickedCanvas"; "selectionChanged": "selectionChanged"; }, never, never, false, never>;
}
