import { ColorRepresentation, Mesh, Vector3 } from "three";
export interface PickedObject {
    distance: number;
    expressID?: number;
    elementData?: ElementData;
    intersectionPoint: Vector3;
}
export declare class ViewerSettings {
    highlightElementOnHover: boolean;
    highlightColor: ColorRepresentation;
    selectionColor: ColorRepresentation;
    selectionMode: SelectionMode;
    showPointerCursorOnElementHover: boolean;
    hideSpaces: boolean;
    refreshInterval: number;
    verbose: boolean;
}
export declare enum SelectionMode {
    DISABLED = "DISABLED",
    SINGLE = "SINGLE",
    MULTIPLE = "MULTIPLE"
}
export interface ModelMetaData {
    index: number;
    fileName: string;
    folderPrefix: string;
    expressGlobalMap?: any;
}
export interface ElementData {
    globalId: string;
    expressId: string;
    fragmentId: string;
    modelIndex: number;
    modelName: string;
    modelURL: string;
    typeId?: number;
    type?: string;
    levelId?: number;
    levelData?: LevelData;
    unpickable?: boolean;
}
export interface LevelData {
    globalId: string;
    expressId: string;
    elevation: number;
    name: string;
}
export interface Fragment {
    blocks: any;
    capacity: number;
    fragments: any;
    hiddenInstances: any;
    id: string;
    items: string[];
    mesh: Mesh;
    addFragment: any;
}
export interface GroupData {
    groupSystems: any;
    visibility: any;
}
export declare enum Tool {
    NONE = "NONE",
    DIMENSIONS = "DIMENSIONS",
    CLIPPER = "CLIPPER"
}
export interface ColorDefinition {
    globalIds: string[];
    color: ColorRepresentation;
}
