import { ElementData, PickedObject } from "../bim-viewer.interfaces";
export declare function buildFragmentMap(globalIds: string[], idMap: {
    [globalId: string]: ElementData;
}): Promise<{
    [fragmentId: string]: [expressIds: string];
}>;
export declare function buildFragmentMapFromPicked(pickedElements: PickedObject[]): Promise<{
    [fragmentId: string]: [expressIds: string];
}>;
export declare function buildFragmentModelMap(globalIds: string[], idMap: {
    [globalId: string]: ElementData;
}): Promise<{
    [modelURL: string]: [fragmentIds: string];
}>;
export declare function getAllRemainingGlobalIds(globalIds: string[], idMap: {
    [globalId: string]: ElementData;
}): Promise<string[]>;
export declare function getAllOfType(types: string[], idMap: {
    [globalId: string]: ElementData;
}): Promise<string[]>;
export declare function getAllNotOfType(types: string[], idMap: {
    [globalId: string]: ElementData;
}): Promise<string[]>;
export declare function getElementData(expressId: string, idMap: {
    [globalId: string]: ElementData;
}): Promise<ElementData | undefined>;
export declare function markAllUnpickable(idMap: {
    [globalId: string]: ElementData;
}): Promise<void>;
export declare function markAllPickable(idMap: {
    [globalId: string]: ElementData;
}): Promise<void>;
export declare function markPickable(globalIds: string[], idMap: {
    [globalId: string]: ElementData;
}): Promise<void>;
export declare function markUnpickable(globalIds: string[], idMap: {
    [globalId: string]: ElementData;
}): Promise<void>;
