import { EventEmitter, OnInit } from '@angular/core';
import { ItemClickEvent, MenuSettings, VisibilityCategory, VisibilityMenu } from './menu.interface';
import { MenuService } from './menu.service';
import { IconsService } from './icons.service';
import { VisibilityService } from '../visibility.service';
import * as i0 from "@angular/core";
export declare class MenuComponent implements OnInit {
    private menuService;
    private iconsService;
    private visibilityService;
    gotIcons: boolean;
    settings: MenuSettings;
    visibilityMenu: VisibilityMenu;
    private groupData?;
    onItemClick: EventEmitter<ItemClickEvent>;
    constructor(menuService: MenuService, iconsService: IconsService, visibilityService: VisibilityService);
    ngOnInit(): void;
    handleItemClick(id: string): void;
    closeAllMenus(): void;
    showVisibilityMenu(ev: MouseEvent): void;
    buildVisibilityMenu(x: number, y: number): void;
    toggleUnfold(category: VisibilityCategory): void;
    setGroupVisibility(category: string, name: string, visible: boolean): void;
    onKeydownHandler(event: KeyboardEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MenuComponent, "app-menu", never, {}, { "onItemClick": "onItemClick"; }, never, never, false, never>;
}
