import { NavModeID } from "openbim-components";
export declare class MenuSettings {
    clipperMode: boolean;
    dimensionsMode: boolean;
    orbitMode: boolean;
    firstPersonMode: boolean;
    planMode: boolean;
    showGrid: boolean;
    showInfo: boolean;
    infoText: string;
    setNavMode(mode: NavModeID): void;
    toggleClipperMode(setting?: boolean): void;
    toggleDimensionsMode(setting?: boolean): void;
    toggleShowInfo(): void;
    toggleShowGrid(): void;
    private disableAllTools;
    private disableAllNavModes;
}
export interface ItemClickEvent {
    id: string;
    settings: MenuSettings;
}
export declare class VisibilityMenu {
    visible: boolean;
    left: string;
    top: string;
    categories: VisibilityCategory[];
}
export interface VisibilityCategory {
    name: string;
    unfolded: boolean;
    instanceGroups: VisibilityInstanceGroup[];
}
export interface VisibilityInstanceGroup {
    name: string;
    instanceCount: number;
    visible: boolean;
}
