import { Observable } from 'rxjs';
import { BimViewerService } from './bim-viewer.service';
import * as i0 from "@angular/core";
export declare class VisibilityService {
    private bimViewerService;
    private loadedFragments;
    originalMaterials: any;
    private dimmedMaterials;
    private groupData?;
    private groups$;
    private allDimmed?;
    private allHidden?;
    private hiddenElements;
    constructor(bimViewerService: BimViewerService);
    /**
     * Dimming
     */
    dimAll(): Promise<void>;
    undimAll(): Promise<void>;
    /**
     * Hiding
     */
    hideAll(): Promise<void>;
    unhideAll(): Promise<void>;
    hideElements(globalIds: string[]): Promise<void>;
    isolateElements(globalIds: string[]): Promise<void>;
    hideAllOfType(types: string[]): Promise<void>;
    isolateAllOfType(types: string[]): Promise<void>;
    getVisibilityGroups(): Observable<any>;
    setGroupVisibility(category: string, name: string, visible: boolean): Promise<void>;
    private reApplyVisibility;
    private buildMaterialMaps;
    private buildGroups;
    static ɵfac: i0.ɵɵFactoryDeclaration<VisibilityService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<VisibilityService>;
}
